package com.runner.tradeFinace.buyer_loans;
/*
 * ***************************************************************
 * , Copyright. HSBC Holdings plc ccyy ALL RIGHTS RESERVED.
 *
 * This software is only to be used for the purpose for which it
 * has been provided. No part of it is to be reproduced,
 * disassembled, transmitted, stored in a retrieval system or
 * translated in any human or computer language in any way or
 * for any other purposes whatsoever without the prior written
 * consent of HSBC Holdings plc.
 * ***************************************************************
 */

import com.alibaba.fastjson.JSONObject;
import config.product.tradeFinance.BuyerLoans;
import org.bouncycastle.jce.provider.BouncyCastleProvider;
import util.SampleApiRequest;

import java.security.Security;


public class SubmitBuyerLoanExtension {
    public static final String apiName = BuyerLoans.API_INFO.get("BLE")[0];
    public static final String endpointUrl = BuyerLoans.API_INFO.get("BLE")[1];
    public static final String apiFolder = BuyerLoans.API_FOLDER;
    public static final String requestJson = BuyerLoans.API_INFO.get("BLE")[2];

    /**
     * used to fix java.security.NoSuchProviderException: no such provider: BC
     */
    static {
        try {
            Security.addProvider(new BouncyCastleProvider());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public SubmitBuyerLoanExtension() {
    }

    public static void main(String[] args) {
        try {
            JSONObject requestHeaderJson = new JSONObject();
            requestHeaderJson.put("Content-Type", "application/json");
            requestHeaderJson.put("countryCode", "HK");
            requestHeaderJson.put("schemaVersion", "1.0");
            String unencryptedRequest = apiFolder.concat(requestJson);
            SampleApiRequest.ExecuteRequest(apiName, endpointUrl, requestHeaderJson, unencryptedRequest);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}