package config;

import io.jsonwebtoken.SignatureAlgorithm;

public class ClientConfig {
    /**
     * Step 0 - Configure target host
     * String targetHost = "Input test/ production environment you want to connect to."
     * Values: "SANDBOX", "UAT", "PRODUCTION"
     */
    public static final String targetHost = "SANDBOX";

    /**
     * Step 1.0 - Configure proxy mode
     * String proxyMode = 0 if your connection does not need to pass-through proxy.
     * String proxyMode = 1 if your need to pass-through proxy.
     * String proxyMode = 2 if your need to enable proxy authentication.
     */
    public static final int proxyMode = 1;

    /**
     * Step 1.1 - Configure Basic Proxy Information
     * Input proxyHost and proxyPort if you have set proxyMode = 1 or 2 in step 1.0
     */
    public static final String proxyHost = "intpxy6.hk.hsbc";
    public static final int proxyPort = 18084;

    /**
     * Step 1.2 - Configure Proxy Authentication Information
     * Input proxyUser and proxyPassword you have set proxyMode = 2 in Step 1.0
     */
    public static final String proxyUser = "";
    public static final String proxyPassword = "";
    /**
     * JSON Web Token
     */
    public static final String TOKEN_VER = "1.0";
    public static final String TOKEN_TYP = "JWT";
    public static final SignatureAlgorithm TOKEN_ALG = SignatureAlgorithm.PS256;
    public static final String TOKEN_AUD = "HSBC.MKT"; // Keep this for Audience is Trade Finance
    public static final String TOKEN_PAYLOAD_HASH_ALG = "SHA-256"; //Your Request Payload Hashing Algorithm

    /**
     * Configure API Profile
     * Input the Client API Profile you retrieved from Dev Hub:
     * https://develop.hsbc.com/knowledge-article/making-smart-sandbox-request
     */
    public static class Sandbox {
        public static final String API_PROFILE_ID = "90UaQ6RDTaSfdEAFicAqVBlnVjiWxm5n";
        public static final String CLIENT_PRV_KEY_PWD = "1password";//Paste the passphrase from client-pgp-keys
    }

    /**
     * Configure API Profile
     * Contact your local implementation manager:
     */
    public static class Uat {
        public static final String API_PROFILE_ID = ""; //Contact your local implementation manager
        public static final String CLIENT_PRV_KEY_PWD = "";//You own PGP Private Key password
    }

    public static class Production {
        public static final String API_PROFILE_ID = "";
        public static final String CLIENT_PRV_KEY_PWD = "";//Paste the passphrase from client-pgp-keys
    }
}
