package config;

public class ProjectResource {
    public static final String RESOURCE_PATH = "src/main/resources/";
    public static final String RESPONSE_CONTENT_PATH = "trade-finance/common/";
    public static final String REQUEST_PLAIN_JSON = "common/requestContent"; // replace content with the request JSON you want to test

    /**
     * client keys
     * Create your project from https://develop.hsbc.com/dev-hub/user-project-list
     * Select your project and view project dashboard
     * View your HSBC Profile ID
     * Download and extract the PGPKeys.zip
     */
    public static final String CLIENT_PUB_KEY = "client-public"; //Paste the content from client-public.key
    public static final String CLIENT_PRV_KEY = "client-private";//Paste the content from client-private.key
    /**
     * hsbc public key
     */
    public static final String HSBC_PUB_KEY = "hsbc-public";//Paste the content from hsbc-public.key

    /**
     * key path
     */
    public static class Sandbox {
        public static final String ENV_URL = "https://sandbox.corporate-api.hsbc.com/trade-finance";
        public static final String CLIENT_KEY_PATH = "security-credentials/sandbox/";
    }

    public static class Uat {
        public static final String ENV_URL = "";
        public static final String CLIENT_KEY_PATH = "security-credentials/uat/";
    }

    public static class Production {
        public static final String ENV_URL = "";
        public static final String CLIENT_KEY_PATH = "security-credentials/production/";
    }


}

